### Method

# Gimp ValueArray ref

since: 2.10

#### Declaration [src]

    GimpValueArray*
    gimp_value_array_ref (
      GimpValueArray* value_array
    )

#### Description [src]

Adds a reference to a `GimpValueArray`.

Available since: 2.10

#### Return value

Type: `GimpValueArray`

The same `value_array`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.